\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Number Types

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
long_long.h File Reference
Built-in types

This header provides all necessary functions so the fundamental type `long long int` is an `RealEmbeddable` `EuclideanRing`. More...

## Detailed Description

This header provides all necessary functions so the fundamental type `long long int` is an `RealEmbeddable` `EuclideanRing`.

Due to overflow `long long int` is considered as not exact.

Is Model Of:

  `EuclideanRing`

  `RealEmbeddable`